Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JROriginExporterFilterFactory

    java.lang.Object
      net.sf.jasperreports.engine.export.JROriginExporterFilterFactory

All Implemented Interfaces:
  ExporterFilterFactory

    public class JROriginExporterFilterFactory

extends java.lang.Object
implements ExporterFilterFactory

Factory of `JROriginExporterFilter` instances.

Version:
  $Id: JROriginExporterFilterFactory.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JROriginExporterFilter.getFilter(net.sf.jasperreports.engine.JRPropertiesMap, String)`

Constructor Summary
`JROriginExporterFilterFactory()`

Method Summary
`ExporterFilter` | `getFilter(JRExporterContext exporterContext)` Returns an exporter filter to be used for a specific exporter context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JROriginExporterFilterFactory

    public JROriginExporterFilterFactory()

Method Detail

### getFilter

    public ExporterFilter getFilter(JRExporterContext exporterContext)

  Description copied from interface: `ExporterFilterFactory`
  Returns an exporter filter to be used for a specific exporter context. This method can return `null` if nothing is to be filtered.

  Specified by:
    `getFilter` in interface `ExporterFilterFactory`
  Parameters:
    `exporterContext` - the exporter context
  Returns:
    an export filter for the exporter, or `null` if nothing is to be filtered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com